## ahcpd 0.51

=== Makefile ===
PREFIX = /usr/local

CDEBUGFLAGS = -Os -g -Wall

DEFINES = $(PLATFORM_DEFINES)

CFLAGS = $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)

SRCS = ahcpd.c monotonic.c transport.c prefix.c configure.c config.c lease.c

OBJS = ahcpd.o monotonic.o transport.o prefix.o configure.o config.o lease.o

LDLIBS = -lrt

ahcpd: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o ahcpd $(OBJS) $(LDLIBS)

.SUFFIXES: .man .html

.man.html:
	rman -f html $< | \
	sed -e "s|<a href='babel.8'|<a href=\"../babel/babel.html\"|" \
            -e "s|<a href='\\(ahcp[-a-z]*\\).8'|<a href=\"\1.html\"|" \
	    -e "s|<a href='[^']*8'>\\(.*(8)\\)</a>|\1|" \
	> $@

ahcpd.html: ahcpd.man

.PHONY: all install.minimal install

all: ahcpd

install.minimal: all
	mkdir -p $(TARGET)$(PREFIX)/bin/
	-rm -f $(TARGET)$(PREFIX)/bin/ahcpd
	cp ahcpd $(TARGET)$(PREFIX)/bin/
	mkdir -p $(TARGET)/etc/ahcp/
	-rm -f $(TARGET)/etc/ahcp/ahcp-config.sh
	cp ahcp-config.sh $(TARGET)/etc/ahcp/
	chmod +x $(TARGET)/etc/ahcp/ahcp-config.sh

install: all install.minimal
	mkdir -p $(TARGET)$(PREFIX)/man/man8/
	cp -f ahcpd.man $(TARGET)$(PREFIX)/man/man8/ahcpd.8

.PHONY: uninstall

uninstall:
	-rm -f $(TARGET)$(PREFIX)/bin/ahcpd
	-rm -f $(TARGET)$(PREFIX)/bin/ahcp-config.sh
	-rm -f $(TARGET)$(PREFIX)/bin/ahcp-dummy-config.sh
	-rm -f $(TARGET)$(PREFIX)/man/man8/ahcpd.8

.PHONY: clean

clean:
	-rm -f ahcpd
	-rm -f *.o *~ core TAGS gmon.out
	-rm -f ahcpd.html

=== debian/changelog ===
ahcpd (0.51-1) unstable; urgency=low

  * New upstream release (Closes: #568907):
    - remove patches (fixed upstream)
  * Add an initscript (Closes: #577286)
  * Switch to 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Apr 2010 11:51:37 +0200

ahcpd (0.50-1) experimental; urgency=low

  * Initial release (Closes: #543378)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Aug 2009 02:06:20 +0200

=== debian/control ===
Source: ahcpd
Section: net
Priority: extra
Maintainer: Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.pps.jussieu.fr/~jch/software/ahcp/
Vcs-Browser: http://git.debian.org/?p=collab-maint/ahcpd.git
Vcs-Git: git://git.debian.org/git/collab-maint/ahcpd.git

Package: ahcpd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Enhances: babeld
Description: the Ad-Hoc Configuration Protocol
 AHCP is an autoconfiguration protocol for IPv6 and dual-stack
 IPv6/IPv4 networks designed to be used in place of router discovery
 and DHCP on networks where it is difficult or impossible to configure
 a server within every link-layer broadcast domain, for example mobile
 ad-hoc networks. AHCP will automatically configure the IPv6 prefix,
 an IPv4 address for every host, the routing protocol, the DNS server
 and the NTP server. It is currently able to configure hosts for
 static routing, for use of the OLSR protocol, or for use of the Babel
 protocol. AHCP is extensible, so adding support for other routing
 protocols should be easy.

## ahcpd 0.52

=== debian/changelog ===
ahcpd (0.52-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes)
  * Bump debhelper compatibility level to 8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2011 23:43:19 +0200

## ahcpd 0.53

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 .man.html:
 	rman -f html $< | \
-	sed -e "s|<a href='babel.8'|<a href=\"../babel/babel.html\"|" \
+	sed -e "s|<a href='babeld.8'|<a href=\"../babel/babeld.html\"|" \
             -e "s|<a href='\\(ahcp[-a-z]*\\).8'|<a href=\"\1.html\"|" \
 	    -e "s|<a href='[^']*8'>\\(.*(8)\\)</a>|\1|" \
 	> $@

=== debian/changelog ===
ahcpd (0.53-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Update Vcs-*
  * Update links to upstream sources
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

  [ Guillaume Delacour ]
  * Patch upstream Makefile to not overwrite dpkg-buildflags CFLAGS
    (Closes: #763180)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Jul 2019 15:14:13 +0200

ahcpd (0.53-2) unstable; urgency=low

  * Add logrotate support
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 May 2013 21:11:53 +0200

ahcpd (0.53-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Dec 2011 14:39:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: ahcpd
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
-Homepage: http://www.pps.jussieu.fr/~jch/software/ahcp/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ahcpd.git
-Vcs-Git: git://git.debian.org/git/collab-maint/ahcpd.git
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.0
+Homepage: https://www.irif.fr/~jch/software/ahcp/
+Vcs-Browser: https://salsa.debian.org/debian/ahcpd
+Vcs-Git: https://salsa.debian.org/debian/ahcpd.git
 
 Package: ahcpd
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
+ lsb-base,
  ${shlibs:Depends},
  ${misc:Depends}
 Enhances: babeld
-Description: the Ad-Hoc Configuration Protocol
+Description: Ad-Hoc Configuration Protocol
  AHCP is an autoconfiguration protocol for IPv6 and dual-stack
  IPv6/IPv4 networks designed to be used in place of router discovery
  and DHCP on networks where it is difficult or impossible to configure

=== debian/watch ===
version=3
https://www.irif.fr/~jch/software/files/ ahcpd-(.*).tar.gz
